> For the complete documentation index, see [llms.txt](https://docs.settlers-united.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.settlers-united.com/s4-lua-api-de/library-functions/global-functions/register_functions.md).

# register\_functions

## `register_functions()`

Diese Funktion dient zur Registrierung aller Funktionen, die als Event aufgerufen werden. Für Funktionen, die nur von einer anderen Funktion aufgerufen werden, ist dies nicht erforderlich. Diese Funktion wird ähnlich wie new\_game() automatisch beim ersten Tick eines Spiels aufgerufen.

#### Rückgabewert

Da diese Funktion selbst geschrieben wird und vom Spiel intern aufgerufen wird, hat diese Funktion keinen Rückgabewert

#### Beispiel

```lua
... funktionen werden erstellt und mit new_game requested ...

function register_functions()
        reg_func(Beispiel1)
        reg_func(Beispiel2)
        reg_func(Beispiel3)
end
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.settlers-united.com/s4-lua-api-de/library-functions/global-functions/register_functions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
